Qyra
Referencev2

Run dashboard pre-aggregate audit

Audit pre-aggregate hit/miss coverage with runtime filter overrides

POST/api/v2/projects/{projectUuid}/pre-aggregates/dashboards/{dashboardUuidOrSlug}/audit

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
dashboardUuidOrSlugstringYes

Request body

{
  "dashboardFilters": {
    "tableCalculations": [
      {
        "includeNull": true,
        "values": [
          "string"
        ],
        "operator": "isNull",
        "id": "string",
        "target": {
          "fallbackType": "string",
          "isSqlColumn": true,
          "tableName": "string",
          "fieldId": "string"
        },
        "settings": "string",
        "disabled": true,
        "required": true,
        "caseSensitive": true,
        "lockedTabUuids": [
          "string"
        ],
        "requiredGroupId": "string",
        "singleValue": true,
        "label": "string",
        "tileTargets": {
          "property": {
            "fallbackType": "string",
            "isSqlColumn": true,
            "tableName": "string",
            "fieldId": "string"
          }
        }
      }
    ],
    "metrics": [
      {
        "includeNull": true,
        "values": [
          "string"
        ],
        "operator": "isNull",
        "id": "string",
        "target": {
          "fallbackType": "string",
          "isSqlColumn": true,
          "tableName": "string",
          "fieldId": "string"
        },
        "settings": "string",
        "disabled": true,
        "required": true,
        "caseSensitive": true,
        "lockedTabUuids": [
          "string"
        ],
        "requiredGroupId": "string",
        "singleValue": true,
        "label": "string",
        "tileTargets": {
          "property": {
            "fallbackType": "string",
            "isSqlColumn": true,
            "tableName": "string",
            "fieldId": "string"
          }
        }
      }
    ],
    "dimensions": [
      {
        "includeNull": true,
        "values": [
          "string"
        ],
        "operator": "isNull",
        "id": "string",
        "target": {
          "fallbackType": "string",
          "isSqlColumn": true,
          "tableName": "string",
          "fieldId": "string"
        },
        "settings": "string",
        "disabled": true,
        "required": true,
        "caseSensitive": true,
        "lockedTabUuids": [
          "string"
        ],
        "requiredGroupId": "string",
        "singleValue": true,
        "label": "string",
        "tileTargets": {
          "property": {
            "fallbackType": "string",
            "isSqlColumn": true,
            "tableName": "string",
            "fieldId": "string"
          }
        }
      }
    ]
  }
}

Responses

200 — Success

{
  "results": {
    "summary": {
      "ineligibleCount": 0,
      "missCount": 0,
      "hitCount": 0
    },
    "tabs": [
      {
        "tiles": [
          {
            "preAggregateName": "string",
            "exploreLabel": "string",
            "exploreName": "string",
            "chartName": "string",
            "savedChartUuid": "string",
            "tileType": "saved_chart",
            "tileName": "string",
            "tileUuid": "string",
            "status": "hit"
          }
        ],
        "tabName": "string",
        "tabUuid": "string"
      }
    ],
    "dashboardName": "string",
    "dashboardSlug": "string",
    "dashboardUuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}